org.fife.ui.rsyntaxtextarea

## Class SquiggleUnderlineHighlightPainter

- java.lang.Object
- - javax.swing.text.LayeredHighlighter.LayerPainter
  - - javax.swing.text.DefaultHighlighter.DefaultHighlightPainter
    - - org.fife.ui.rsyntaxtextarea.SquiggleUnderlineHighlightPainter

All Implemented Interfaces:
  Highlighter.HighlightPainter

    public class SquiggleUnderlineHighlightPainter
    extends DefaultHighlighter.DefaultHighlightPainter

Highlight painter that paints a squiggly underline underneath text, similar to what popular IDE's such as Visual Studio and Eclipse do to indicate errors, warnings, etc.

This class must be used as a `LayerPainter`.

Version:
  1.0
Author:
  Robert Futrell

### Constructor Summary

Constructors
Constructor and Description
`SquiggleUnderlineHighlightPainter(Color color)` Constructor.

### Method Summary

Methods
`Color` `getColor()` Returns the color to paint with.
`Shape` `paintLayer(Graphics g, int offs0, int offs1, Shape bounds, JTextComponent c, View view)` Paints a portion of a highlight.
`protected void` `paintSquiggle(Graphics g, Rectangle r)` Paints a squiggle underneath text in the specified rectangle.
`void` `setColor(Color color)` Sets the color to paint the bounding boxes with.

### Methods inherited from class javax.swing.text.DefaultHighlighter.DefaultHighlightPainter

`paint`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SquiggleUnderlineHighlightPainter

    public SquiggleUnderlineHighlightPainter(Color color)

Constructor.

Parameters:
  `color` - The color of the squiggle. This cannot be `null`.

### Method Detail

#### paintLayer

    public Shape paintLayer(Graphics g,
                   int offs0,
                   int offs1,
                   Shape bounds,
                   JTextComponent c,
                   View view)

Paints a portion of a highlight.

Overrides:
  `paintLayer` in class `DefaultHighlighter.DefaultHighlightPainter`
Parameters:
  `g` - the graphics context
  `offs0` - the starting model offset >= 0
  `offs1` - the ending model offset >= offs1
  `bounds` - the bounding box of the view, which is not necessarily the region to paint.
  `c` - the editor
  `view` - View painting for
Returns:
  region drawing occurred in

#### paintSquiggle

    protected void paintSquiggle(Graphics g,
                     Rectangle r)

Paints a squiggle underneath text in the specified rectangle.

Parameters:
  `g` - The graphics context with which to paint.
  `r` - The rectangle containing the text.

#### getColor

    public Color getColor()

Returns the color to paint with.

Overrides:
  `getColor` in class `DefaultHighlighter.DefaultHighlightPainter`
Returns:
  The color.
See Also:
  `setColor(Color)`

#### setColor

    public void setColor(Color color)

Sets the color to paint the bounding boxes with.

Parameters:
  `color` - The new color. This cannot be `null`.
See Also:
  `getColor()`